;;;;;;;;;;;;;;;;;;;;; TEST of cotan ;;;;;;;;;;;;;;;;;;;;;;

; The cotangent sheaf of a plane curve of degree d is 0(d-3)
; Here's the case of a plane quartic

int d 4
<ring 3 xyz r

ideal i
1
x^d+y^d+z^d

<cotan
<cotan i w
<prune w w
type w
betti w

;The answer is not yet of depth 2, so we must
;compute H^0_*

<cohom1 0 w 3 W
type W
<prune W W
type W
betti W
; correct answer:
; total:      1     1
; --------------------
;    -1:      1     -
;     0:      -     -
;     1:      -     -
;     2:      -     1
; This is the depth 2 version -- it is 0(1) on the quartic.

listvars
;;;;;;;;;;;;;;;;;;;;;;; END test of cotan ;;;;;;;;;;;;;;;;;;;;
reset
$


