;;;;;;;;;;;;;;;;;;;; TEST of frombigr ;;;;;;;;;;;;;;;;;;

;Sheaves on P1 x P1:

;The bihomogeneous coordinate ring of P1xP1:
ring r
;
4
x[1]-x[2]
y[1]-y[2];
;
;

;The bihomogeneous ideal of a point:
ideal i
2
x[1]
y[1]

;A bihomogeneous ideal of the empty set:
ideal j
2
x[1]
x[2]

;The twisted cubic:
ideal k
1
x[1]y[1]2+x[2]y[2]2

;Note that the generator 1 in r is of degree 0,0

;The homogeneous coordinate ring of P3:
<ring 4 z[1,1]-z[2,2] s

<frombigr
<frombigr 1 1 i N segre
type segre

nres N N
betti N ;the ideal of a point
; correct answer:
; total:      1     3     3     1
; --------------------------------
;     0:      1     3     3     1

<frombigr 1 1 j N segre
nres N N
betti N ;the ideal of the empty set
; correct answer:
; total:      1     4     6     4     1
; --------------------------------------
;     0:      1     4     6     4     1

<frombigr 1 1 k N segre
std N N ;the ideal of the twisted cubic
hilb N
; should be:
; codimension = 2
; degree      = 3
; genus       = 0

listvars
;;;;;;;;;;;;;;;;;;;;; END test of frombigr ;;;;;;;;;;;;;
reset
$



