;;;;;;;;;;;;;;;;; TEST of removlow ;;;;;;;;;;;;;;;;;;

;Easy cases to test the different endings:

<ring 3 a-z r

<removlow
<removlow r ii
type ii
;should be: a b c
pring ii

<ideal r1 a
<removlow r1 ii
type ii
;should be: a
pring ii

<ideal i a2 b2
<ideal j a b c
power j 3 j
intersect i j i
type i
<removlow i ii
type ii
;should be: a2 b2
pring ii

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 6 a-z r
<ideal i a2 b2
<ideal j a b c
power j 3 j
<ideal k a b c d
power k 4 k
intersect i j k i
type i
<removlow i ii
;takes 12.2 secs
type ii
;should be: a2 b2

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;,;;;;;;;;

<ring 5 a-z r
<monomcur 3 4 5 i
power i 2 i
std i i
type i
<removlow i ii
;takes 2.5 sec
nres ii ii
betti ii
; correct answer:
; total:      1     4     3
; --------------------------
;     0:      1     -     -
;     1:      -     -     -
;     2:      -     -     -
;     3:      -     1     -
;     4:      -     3     2
;     5:      -     -     1

;Check that the Cohen-Macaulay case is correctly handled:
<removlow ii.1 iii
nres iii iii
betti iii
; correct answer:
; total:      1     4     3
; --------------------------
;     0:      1     -     -
;     1:      -     -     -
;     2:      -     -     -
;     3:      -     1     -
;     4:      -     3     2
;     5:      -     -     1

listvars
;;;;;;;;;;;;;;;;;;; END test of removlow ;;;;;;;;;;;;;;;;;;;;;
reset
$



