;;;;;;;;;;;;;;;; TEST of removlst ;;;;;;;;;;;;;;;;;;;;

<ring 3 a-z r
<ideal i a2 b2
<ideal j a b c
power j 3 j
intersect i j i
type i

<removlst
<removlst i ii
;slightly faster with the iterative sat.
type ii
;should be: a2 b2

<ideal i a2
<removlst i ii
type ii

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 6 a-z r
<ideal i a2 b2
<ideal j a b c
power j 3 j
<ideal k a b c d
power k 4 k
intersect i j answer
intersect i j k i
type i

<removlow i ii
type ii
;should be: a2 b2
<removlst i ii
;9.52 secs with iterative sat, 10:9 secs with non-iterative
type ii
type answer
;They are the same.

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 5 a-z r
<monomcur 3 4 5 i
power i 2 i
std i i
type i
<removlst i ii
;2.3 secs with iterative sat, 3.6 with noniterative.
nres ii ii
betti ii
; correct answer:
; total:      1     4     3
; --------------------------
;     0:      1     -     -
;     1:      -     -     -
;     2:      -     -     -
;     3:      -     1     -
;     4:      -     3     2
;     5:      -     -     1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; Varieties in the nilcone of matrices:
; Nilpotent nxn matrices:

int n 2
<ring n*n a-z r
<genermat a n n M
type M

mult M M M2
flatten M2 nilp
betti nilp

<removlst nilp j
type j
res j j
betti j
space a a a a a a a
; in case n=3 we have 6290K  total memory requested by allocator
; 302K  of requested memory not yet used

listvars
;;;;;;;;;;;;;;;;;;;;;; END test of removlst ;;;;;;;;;;;;;;;;;;;;;
reset
$


