;;;;;;;;;;;;;;;;;;; TEST of sortdeg ;;;;;;;;;;;;;;;;;;;

<ring 3 a-z r
<ideal i a2 b c a3
col-degs i
;should be: 2 1 1 3

<sortdeg
<sortdeg i j c

type j
;should be: b c a2 a3
col-degs j
;should be: 1 1 2 3

type c
; correct answer:
; 0 0 1 0
; 1 0 0 0
; 0 1 0 0
; 0 0 0 1
col-degs c
row-degs c

mult i c test
type test
;should be: b c a2 a3
col-degs test
;should be: 1 1 2 3

betti i
; correct answer:
; total:      1     4
; --------------------
;     0:      1     2
;     1:      -     1
;     2:      -     1
betti c
; correct answer:
; total:      4     4
; --------------------
;     0:      -     2
;     1:      2     1
;     2:      1     1
;     3:      1     -

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;To order the ROWS of m in order of ascending degree:
<ring 3 a-z r
<ideal i a2 b c a3
diag i i
setdegs i
1 4 3 2
;
col-degs i
row-degs i

<idrowdeg i I
<sortdeg I I crows
<inverse crows crows1

mult crows1 i J
col-degs J
row-degs J

listvars
;;;;;;;;;;;;;;;;;;;; END test of sortdeg ;;;;;;;;;;;;;;;;
reset
$


