;;;;;;;;;;;;;;;;;;; TEST of subring ;;;;;;;;;;;;;;;;;

;The twisted cubic as 3-uple embedding:

<ring 2 st s
power s 3 F
type F
<ring 4 x[0]-x[3] r
setring r

<subring
<subring F k 6 ;at least a 6 -- or nothing -- is necessary
type k
res k k
betti k

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;The middle monomial ribbon of genus 5:
;Define r=k[s,t,y]/y2

<ring 3 sty r
<ideal i y2
std i i
qring i r
;Define the ideal tot of generators of the subring
;defining the middle monomial ribbon:
<ideal tot t4 t3s t2s2 ts3-t3y s4-2st2y
type tot

<ring 5 a-z s
<subring tot rib 8 ;the 8 speeds things up.
res rib rib
betti rib

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; An example where the set of generators given contains a 0:
<ring 2 ab r
<ideal generators a 0
setdegs generators
0
1
betti generators
<subring generators K
type K
;should be: b

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; A bug as of 5/18/90 coming (?) from the misbehavior of the
; elim command in rings which are quotient rings by linear forms:

<ring 1 a T
<ideal vertex a4
std vertex vertex
qring vertex q

<ideal map a
<ring 1 A T1
<subring map x 4
;maxdegree has no effect in the linear case
;where no variables are eliminated.
type x

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 2 ab T
; If we give it 2 vars, this produces a bug.
; 1 var causes complaints from pushforward1??

<ideal vertex a4
std vertex vertex
qring vertex q

<ideal map a ;if this is a2, no bug, no complaints.
<ring 1 A T1
<subring map x 4
type x

listvars
;;;;;;;;;;;;;;;;;; END test of subring ;;;;;;;;;;;;;;;;;;;;;;;;
reset
$


