;;;;;;;;;;;;;;;;;;; TEST of unmixrd2 ;;;;;;;;;;;;;;;;;;;

<ring 3 a-z r
<ideal i a4
<ideal regular a20

<unmixrd2
<unmixrd2 i j regular
type j
;should be "a"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 4 a-z r
<ideal ia a b
power ia 3 ia3
<ideal ic c d
power ic 2 ic2
intersect ia3 ic2 i
betti i
<randomat 1 2 i regular

<unmixrad i j  ;takes 6 sec
type j
;should be: ad bd ac bc

<ideal regular a3c3 b3d3
<unmixrd2 i j regular  ;takes 1 sec
type j

<randomat 1 2 i regular
<unmixrd2 i j regular   ;takes 3.5 minutes
type j

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 3 a-z r
power r 3 r3
<unmixrad r3 j
type j
;should be: a b c

<ideal reg a3 b3 c3
<unmixrd2 r3 j reg
type j

<randomat 1 3 r3 reg
<unmixrd2 r3 j reg
type j
; This one is still better than <unmixrad

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 5 a-z r
;ideal i
;3
;a5+b5+c5+d5+e5-5abcde
;ea3b+ab3c+bc3d+cd3e+de3a
;e2ab2+a2bc2+b2cd2+c2de2+d2ea2
;std i i
;codim i
;2
;<removlow i i1
;betti i1
;set prcomment -1
;putmat i1
;set prcomment 1
mat i1
1
8
a2bc2+b2cd2+a2d2e+ab2e2+c2de2
ab3c+bc3d+a3be+cd3e+ade3
a5+b5+c5+d5-5abcde+e5
ab2c4-b5cd-a2b3de+2abc2d2e+ad4e2-a2bce3-cde5
abc5-b4c2d-2a2b2cde+ac3d2e-a4de2+bcd2e3+abe5
a4b2c-abc2d3-ab5e-b3c2de-ad5e+2a2bcde2+cd2e4
a3b2cd-bc2d4+ab2c3e-b5de-d6e+3abcd2e2-a2be4-de6
b6c+bc6+a2b4e-3ab2c2de+c4d2e-a3cde2-abd3e2+bce5

<unmixrad i1 j verbose  ;takes about 75 sec
betti j
; correct answer:
; total:      1     8
; --------------------
;     0:      1     -
;     1:      -     -
;     2:      -     -
;     3:      -     -
;     4:      -     3
;     5:      -     -
;     6:      -     5

<ideal reg a2bc2+b2cd2+a2d2e+ab2e2+c2de2 ab3c+bc3d+a3be+cd3e+ade3
std reg reg
codim reg
;should be "2"

<unmixrd2 i1 j reg  ;takes 38 sec
betti j
;Takes MUCH longer if we use the first and last of the
;8 generators for the regular sequence!

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;Varieties in the nilcone of matrices:
;Nilpotent nxn matrices:

int n 2
<ring n*n a-z r
<genermat a n n M
mult M M M2
flatten M2 nilp
betti nilp

<radical nilp j verbose
;n=2 goes fast.  n=3 ran out of memory trying to show that the
;correct answer (which is already produced by the first
;"removlst") is correct (its the 2x2's with the trace, codim = 5)
;The program was working on the 4x4 minors; it succeeded in doing
;a wedge 4 (of the 9x10 Jacobian matrix) in 52 min, but ran out of
;space on the following "flatten".
res j j
betti j

<removlow nilp i
betti i
<regseq1 i reg
<unmixrd2 i j reg
type j

listvars
;;;;;;;;;;;;;;;;;;;;;;; END test of unmixrd1 ;;;;;;;;;;;;;;;;;;;;;;
reset
$



