;;;;;;;;;;;;;;;;; TEST of mapfrcol ;;;;;;;;;;;;;;;

; Map between factor rings

<ring 3 a-z r
<ideal i a2 b2
<ideal j b2 c2
<ideal h ab2

<mapfrcol
<mapfrcol h i j k
type k

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;Map from canonical module to the ring

<ring 2 a-z r
power r 3 i
type i

<ext_r 2 i e
type e

<hommap e i h ff
betti ff
; correct answer:
; total:      3     9
; --------------------
;     4:      3     -
;     5:      -     9

<colvect h 0 0 0 1 0 0 0 0 0
mult ff h h1
betti h1

<mapfrcol h1 e i k
type k
betti k

;present the module L which is the image (of k modulo e):
modulo k i L
<prune L L
nres L LL
betti LL

listvars
;;;;;;;;;;;;;;;;;; END test of mapfrcol ;;;;;;;;;;;;;;;;;;
reset
$


