;;;;;;;;;;;;;;;;;;; TEST of prune ;;;;;;;;;;;;;;;;;;;;;;

<ring 8 a-z r

mat m
2
2
1
a
b
c2
setdegs m
1 0
;
type m
; should be:
; 1 b
; a c2

<prune
<prune m n
type n
;should be: ab-c2

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;Some degenerate cases:

iden 2 a
type a
<prune a b
type b

<zeromat 1 1 zero
betti zero
<prune zero b
betti b

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;A typical case:

<ring 4 a-z r
poly i a

<ext 2 r i e
;ext generally produces a non-minimal presentation of its result:
type e
; correct answer:
; 0 1 0 0 0 0 0 0 0 0
; 0 0 0 0 0 0 0 0 0 1
; 0 0 0 0 0 0 0 1 0 0
; 0 0 1 0 0 0 0 0 0 0
; 0 0 0 0 1 0 0 0 0 0
; 0 0 0 0 0 0 0 0 1 0
; 0 0 0 0 0 1 0 0 0 0
; 0 0 0 0 0 0 1 0 0 0
; 0 0 0 1 0 0 0 0 0 0
; 1 0 0 0 0 0 0 0 0 0
<prune e f
type f
betti e

listvars
;;;;;;;;;;;;;;;;;;;;;;;; END test of prune ;;;;;;;;;;;;;;;;;;;;
reset
$


