;;;;;;;;;;;;;;;;;;; TEST of unmixrad ;;;;;;;;;;;;;;;;;;;;

<ring 3 a-z r
<ideal i a4

<unmixrad
<unmixrad i j ver
type j
;should be "a"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 4 a-z r
<ideal ia a b
power ia 3 ia3
<ideal ic c d
power ic 2 ic2
intersect ia3 ic2 i
betti i

<unmixrad i j ver
<unmixrad i j
type j
;should be: ad bd ac bc

jacob j jj
wedge jj 2 jj
flatten jj jj
std jj jj
betti jj
;There are 10 quadrics here, but only 4 mod j;
;so working mod j does one some good in this case.

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 3 a-z r
power r 3 r3
<unmixrad r3 j ver
type j
;should be: a b c

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 5 a-z r
;ideal i
;3
;a5+b5+c5+d5+e5-5abcde
;ea3b+ab3c+bc3d+cd3e+de3a
;e2ab2+a2bc2+b2cd2+c2de2+d2ea2
;<removlow i i1
;betti i1
;putmat i1

mat i1
1
8
a2bc2+b2cd2+a2d2e+ab2e2+c2de2
ab3c+bc3d+a3be+cd3e+ade3
a5+b5+c5+d5-5abcde+e5
ab2c4-b5cd-a2b3de+2abc2d2e+ad4e2-a2bce3-cde5
abc5-b4c2d-2a2b2cde+ac3d2e-a4de2+bcd2e3+abe5
a4b2c-abc2d3-ab5e-b3c2de-ad5e+2a2bcde2+cd2e4
a3b2cd-bc2d4+ab2c3e-b5de-d6e+3abcd2e2-a2be4-de6
b6c+bc6+a2b4e-3ab2c2de+c4d2e-a3cde2-abd3e2+bce5

<unmixrad i1 j verbose
type j
betti j
res j j
betti j

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;Recovery of a scroll from a k3 carpet:
;First make a k3carpet in a+b+2 variables
;for this to work the following integers must be >=2

int a 2
int b 3
<ring a+1 x[0]-x[a] r1
<ring b+1 y[0]-y[b] r2
ring-sum r1 r2 r
cat x[0] A
0 1
0..a-1
cat y[0] B
0 1
0..b-1
type A
type B

<k3carpet A B i

res i ii
betti ii
; should - and does - show the last linear term
; in the bth place.  Note that the codim is a+b-1
; and the degree is 2(a+b) = 2(g-1).
type i

<unmixrad i j ver
; About 3 minutes for the case a=2,b=3, down from 25 for the old version.
; This makes one wish that there were a good way of taking a single
; "random" element of B to do this.  Maybe we should experiment with a
; "random element" or a "random minor" script.
; The case a=3 b=3 ran for about 4 hours before
; running out of memory in about 7 MB.

res j j
betti j
pring j

listvars
;;;;;;;;;;;;;;;;;;; END test of unmixrad ;;;;;;;;;;;;;;;;;;;;;;
reset
$


